Skip to main content
POST
Submit Entitlement Charge

Authorizations

X-API-KEY
string
header
required

The authorization key obtained from MarketONE.

Path Parameters

id
string
required

The id parameter is the partner subscription ID entity.

Maximum string length: 36

Body

application/json

Charges from CSP for platform managed subscriptions.

transactionId
string
required

The id of the transaction

Maximum string length: 128
productCode
string
required

Product code

Maximum string length: 128
amount
number<double>
required

The charge amount - Will be negative in case of refunds.

currency
string

The currency in which the transaction is processed.

Maximum string length: 3
originalTransactionId
string

The id of the original transaction in case of refunds.

Maximum string length: 128
taxIncluded
boolean

Specifies whether tax is included in the original amount or not.

taxAmount
number<double>

Amount of tax

chargeDate
string<date-time>

The date on which the charge is processed in the billing system.

Response

OK

Response to charges from CSP for platform managed subscriptions.

transactionReferenceId
string
required

MarketONE generated ID for the transaction